<?php

namespace ThurData\Servers\KerioEmail\App\UI\Admin\ProductConfiguration\Pages\Sections;


use ThurData\Servers\KerioEmail\App\UI\Admin\Custom\Sections\BoxSectionExtended;
use ThurData\Servers\KerioEmail\Core\UI\Interfaces\AdminArea;
use ThurData\Servers\KerioEmail\Core\UI\Widget\Forms\Fields\Switcher;
use ThurData\Servers\KerioEmail\Core\UI\Widget\Forms\Sections\BoxSection;
use ThurData\Servers\KerioEmail\Core\UI\Widget\Forms\Sections\HalfPageSection;

/**
 *
 * Created by PhpStorm.
 * User: ThurData
 * Date: 29.08.19
 * Time: 08:35
 * Class MimeFeatures
 */
class MimeFeatures extends BoxSectionExtended implements AdminArea
{
    protected $id       = 'mimeFeatures';
    protected $name     = 'mimeFeatures';
    protected $title    = 'mimeFeatures';

    public function initContent()
    {
        $this
            ->addSection($this->getLeftSection())
        ;

    }
    /**
     * @return HalfPageSection
     */
    public function getLeftSection()
    {
        $left = new HalfPageSection('left');

        $field = new Switcher('kerioFeatureSMIMEEnabled');
        $left->addField($field);

        return $left;
    }


}